// ----------------------------------------------------------------------------------

// ----------------------------------------------------------------------------------


#ifndef _CCASE_
#define _CCASE_

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include "TSpell.h"
#include "UExtend.h"



class CCase : public UExtended
{
public:
	
	CCase();
	~CCase();
	short CaseCheckWord(char *Word);
	void FixCase(char *Word, short CaseCode);
	void WordLower(char *Word);
	void WordUpper(char *Word);
};


#endif


